| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions
Tp::PendingChannelRequest Class Reference
ChannelRequest proxies

The PendingChannelRequest class represents the parameters of and the reply to an asynchronous ChannelRequest request. More...

`#include <TelepathyQt/PendingChannelRequest>`

Inherits Tp::PendingOperation.

List of all members.

## Signals

- void channelRequestCreated (const Tp::ChannelRequestPtr &channelRequest)

## Public Member Functions

- ~PendingChannelRequest ()
- AccountPtr account () const
- ChannelRequestPtr channelRequest () const
- PendingOperation * cancel ()

## Detailed Description

The PendingChannelRequest class represents the parameters of and the reply to an asynchronous ChannelRequest request.

Instances of this class cannot be constructed directly; the only way to get one is trough Account.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingChannelRequest::~PendingChannelRequest | ( |  | ) |

Class destructor.

## Member Function Documentation

AccountPtr Tp::PendingChannelRequest::account | ( |  | ) | const

Return the account through which the request was made.

Returns:
  A pointer to the Account object.

ChannelRequestPtr Tp::PendingChannelRequest::channelRequest | ( |  | ) | const

PendingOperation * Tp::PendingChannelRequest::cancel | ( |  | ) |

void Tp::PendingChannelRequest::channelRequestCreated | ( | const Tp::ChannelRequestPtr & | channelRequest | ) | `[signal]`